<?php
$wp_customize->add_section(
    'pagination_options' ,
    array(
        'title' => __( 'Pagination Options', 'ooze' ),
        'panel' => 'ooze_option_panel',
    )
);

/* Pagination Type*/
$wp_customize->add_setting(
    'ooze_options[pagination_type]',
    array(
        'default'           => $default_options['pagination_type'],
        'sanitize_callback' => 'ooze_sanitize_select',
    )
);
$wp_customize->add_control(
    'ooze_options[pagination_type]',
    array(
        'label'       => __( 'Pagination Type', 'ooze' ),
        'section'     => 'pagination_options',
        'type'        => 'select',
        'choices'     => array(
            'default' => __( 'Default (Older / Newer Post)', 'ooze' ),
            'numeric' => __( 'Numeric', 'ooze' ),
            'ajax_load_on_click' => __( 'Load more post on click', 'ooze' ),
            'ajax_load_on_scroll' => __( 'Load more posts on scroll', 'ooze' ),
        ),
    )
);
