<?php

/* Theme Widget sidebars. */
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/widgets/widget-base/widgetbase.php';

require get_template_directory() . '/inc/widgets/recent-widget.php';
require get_template_directory() . '/inc/widgets/social-widget.php';
require get_template_directory() . '/inc/widgets/author-widget.php';
require get_template_directory() . '/inc/widgets/newsletter-widget.php';
require get_template_directory() . '/inc/widgets/tab-widget.php';
require get_template_directory() . '/inc/widgets/cta-widget.php';
require get_template_directory() . '/inc/widgets/slider-post-widget.php';
require get_template_directory() . '/inc/widgets/grid-post-widget.php';
require get_template_directory() . '/inc/widgets/featured-with-grid-post-widget.php';
require get_template_directory() . '/inc/widgets/list-post-widget.php';
require get_template_directory() . '/inc/widgets/double-column-1-widget.php';
require get_template_directory() . '/inc/widgets/double-column-2-widget.php';

/* Register site widgets */
if ( ! function_exists( 'ooze_widgets' ) ) :
    /**
     * Load widgets.
     *
     * @since 1.0.0
     */
    function ooze_widgets() {
        register_widget( 'Ooze_Recent_Posts' );
        register_widget( 'Ooze_Social_Menu' );
        register_widget( 'Ooze_Author_Info' );
        register_widget( 'Ooze_Mailchimp_Form' );
        register_widget( 'Ooze_Call_To_Action' );
        register_widget( 'Ooze_Tab_Posts' );
        register_widget( 'Ooze_Slider_Post' );
        register_widget( 'Ooze_Featured_Grid_Post' );
        register_widget( 'Ooze_List_Post' );
        register_widget( 'Ooze_Double_Column_1_Post' );
        // register_widget( 'Ooze_Double_column_2_Post' );
    }
endif;
add_action( 'widgets_init', 'ooze_widgets' );